DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Variables
internal.h File Reference

This header contains declaration internal to log4cplus. More...

## Classes
struct | dcmtk::log4cplus::internal::gft_scratch_pad
struct | dcmtk::log4cplus::internal::appender_sratch_pad
struct | dcmtk::log4cplus::internal::per_thread_data
| Per thread data. More...

## Variables
log4cplus::tstring const | dcmtk::log4cplus::internal::empty_str
| Canonical empty string.

## Detailed Description

This header contains declaration internal to log4cplus.

They must never be visible from user accessible headers or exported in DLL/shared library.

## Variable Documentation

## ◆ empty_str

log4cplus::tstring const dcmtk::log4cplus::internal::empty_str
| extern

Canonical empty string.

It is used when the need to return empty string by reference arises.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2